summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorThanos Doukoudakis <thanos.doukoudakis@isode.com>2018-01-05 14:11:30 (GMT)
committerThanos Doukoudakis <thanos.doukoudakis@isode.com>2018-01-05 14:49:08 (GMT)
commit842a9651b9ead023bc079decfe3bce9f9257bee7 (patch)
tree03199593babcb1625f2968b8f4469800408d9a70
parent81b4c29edd69aad287a34cb0c3d3fbb9b99554de (diff)
downloadswift-842a9651b9ead023bc079decfe3bce9f9257bee7.zip
swift-842a9651b9ead023bc079decfe3bce9f9257bee7.tar.bz2
Fix the debian repository update script
This will use the distro_version instead of the distro_name variable in the script. This fixes an error that was introduced in commit 2b185f0b25aede6e2f40a678647c78bb8e7f8638 Test-Information: None Change-Id: I943a680c49f70310ff525ee60f31b23641ccb2f5
-rw-r--r--Swift/Packaging/Debian/update_debian_repo.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/Swift/Packaging/Debian/update_debian_repo.sh b/Swift/Packaging/Debian/update_debian_repo.sh
index 26c0d5b..db9f326 100644
--- a/Swift/Packaging/Debian/update_debian_repo.sh
+++ b/Swift/Packaging/Debian/update_debian_repo.sh
@@ -85,8 +85,8 @@ for full_distribution_path in $INCOMING_FOLDER/{debian,ubuntu}/*; do
distro_name=$(basename `dirname $full_distribution_path`)
distro_reprepro_root=${APT_REPO_ROOT}/${distro_name}/${distro_version}
- if ! [[ $SWIFT_PACKAGE_PLATFORMS == *"$distro_name"* ]]; then
- echo "$distro_name was not found in SWIFT_PACKAGE_PLATFORMS. Skipping..."
+ if ! [[ $SWIFT_PACKAGE_PLATFORMS == *"$distro_version"* ]]; then
+ echo "$distro_version was not found in SWIFT_PACKAGE_PLATFORMS. Skipping..."
continue
fi